%define name	ggradebook
%define version 0.91
%define release %mkrel 6

Summary:	The GNU teacher's gradebook
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://www.gnu.org/software/ggradebook/
License:	GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgnome-devel

%description
Ggradebook is the fully-featured GNU gradebook, an application for tracking
student grades for teachers. It uses GTK+ and can optionally be compiled to
use GNOME.

%prep
%setup -q -n Ggradebook-%version

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#mdk menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Teacher's gradebook
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office-Accessories;Office;Utility
Encoding=UTF-8
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png
 
%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/%name
%_datadir/Ggradebook
%{_datadir}/applications/mandriva-%{name}.desktop
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png



%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.91-6mdv2009.0
+ Revision: 245959
- rebuild
- fix description-line-too-long
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.91-4mdv2008.1
+ Revision: 140737
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import ggradebook


* Sat Aug 02 2006 Emmanuel Andry <eandry@mandriva.org> 0.91-4mdv2007.0
- xdg menu

* Sun May 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.91-3mdk
- rebuild
- mkrel

* Fri Feb 23 2004 Austin Acton <austin@mandrake.org> 0.91-2mdk
- rebuild
- lib64 fix

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.91-1mdk
- initial package
